## org.apache.fop.layout.hyphenation
Interface PatternConsumer

All Known Implementing Classes:
  HyphenationTree, PatternParser

public interface PatternConsumer

This interface is used to connect the XML pattern file parser to the hyphenation tree.

Author:
  Carlos Villegas <cav@uniscope.co.jp>

Method Summary
`void` `addClass(java.lang.String chargroup)` Add a character class.
`void` `addException(java.lang.String word, java.util.Vector hyphenatedword)` Add a hyphenation exception.
`void` `addPattern(java.lang.String pattern, java.lang.String values)` Add hyphenation patterns.

Method Detail

### addClass

    public void addClass(java.lang.String chargroup)

  Add a character class. A character class defines characters that are considered equivalent for the purpose of hyphenation (e.g. "aA"). It usually means to ignore case.

### addException

    public void addException(java.lang.String word,
                             java.util.Vector hyphenatedword)

  Add a hyphenation exception. An exception replaces the result obtained by the algorithm for cases for which this fails or the user wants to provide his own hyphenation. A hyphenatedword is a vector of alternating String's and `Hyphen` instances

### addPattern

    public void addPattern(java.lang.String pattern,
                           java.lang.String values)

  Add hyphenation patterns.
  Parameters:
    `pattern` -
    `values` - interletter values expressed as a string of digit characters.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.